Changeset 2683


Ignore:
Timestamp:
Dec 2, 2012 10:46:08 AM (7 years ago)
Author:
stefan
Message:

rerun autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Mumps/trunk/configure

    r2675 r2683  
    10831083                          icl/link). Default when mentioned: mingw. Default
    10841084                          when not mentioned: disabled.
     1085
    10851086  --disable-pthread-mumps disable use of pthread library
    10861087  --enable-static[=PKGS]
     
    19381939
    19391940
     1941# Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
     1942if test "${enable_static_standardlibs+set}" = set; then
     1943  enableval="$enable_static_standardlibs"
     1944  case "$enableval" in
     1945     no | yes | auto ) ;;
     1946     *)
     1947       { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
     1948echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
     1949   { (exit 1); exit 1; }; } ;;
     1950   esac
     1951   use_static_standardlibs=$enableval
     1952else
     1953  use_static_standardlibs=no
     1954fi;
     1955
     1956
     1957
    19401958
    19411959
     
    30623080    CFLAGS="$OPT_CFLAGS"
    30633081  fi
     3082
    30643083else
    30653084  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32303249esac
    32313250
     3251# check whether to add flags for static linking against standard libraries to LDFLAGS
     3252if test x$use_static_standardlibs != xno ; then
     3253  case $build in
     3254    *-mingw*)
     3255      static_standardlib_flag=-static
     3256      ;;
     3257    *)
     3258      static_standardlib_flag=-static-libgcc
     3259      ;;
     3260  esac
     3261  case " $LDFLAGS " in
     3262    *" $static_standardlib_flag "* ) ;;
     3263    *)
     3264    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3265echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3266    coin_save_LDFLAGS="$LDFLAGS"
     3267    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     3268    cat >conftest.$ac_ext <<_ACEOF
     3269/* confdefs.h.  */
     3270_ACEOF
     3271cat confdefs.h >>conftest.$ac_ext
     3272cat >>conftest.$ac_ext <<_ACEOF
     3273/* end confdefs.h.  */
     3274
     3275int
     3276main ()
     3277{
     3278int i=0;
     3279  ;
     3280  return 0;
     3281}
     3282_ACEOF
     3283rm -f conftest.$ac_objext conftest$ac_exeext
     3284if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3285  (eval $ac_link) 2>conftest.er1
     3286  ac_status=$?
     3287  grep -v '^ *+' conftest.er1 >conftest.err
     3288  rm -f conftest.er1
     3289  cat conftest.err >&5
     3290  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3291  (exit $ac_status); } &&
     3292         { ac_try='test -z "$ac_c_werror_flag"
     3293                         || test ! -s conftest.err'
     3294  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3295  (eval $ac_try) 2>&5
     3296  ac_status=$?
     3297  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3298  (exit $ac_status); }; } &&
     3299         { ac_try='test -s conftest$ac_exeext'
     3300  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3301  (eval $ac_try) 2>&5
     3302  ac_status=$?
     3303  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3304  (exit $ac_status); }; }; then
     3305  echo "$as_me:$LINENO: result: yes" >&5
     3306echo "${ECHO_T}yes" >&6
     3307else
     3308  echo "$as_me: failed program was:" >&5
     3309sed 's/^/| /' conftest.$ac_ext >&5
     3310
     3311echo "$as_me:$LINENO: result: no" >&5
     3312echo "${ECHO_T}no" >&6
     3313       LDFLAGS="$coin_save_LDFLAGS"
     3314       if test $use_static_standardlibs = yes ; then
     3315         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     3316echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     3317   { (exit 1); exit 1; }; }
     3318       fi
     3319
     3320fi
     3321rm -f conftest.err conftest.$ac_objext \
     3322      conftest$ac_exeext conftest.$ac_ext
     3323    ;;
     3324  esac
     3325fi
     3326
    32323327ac_ext=c
    32333328ac_cpp='$CPP $CPPFLAGS'
     
    32583353
    32593354
     3355
    32603356ac_ext=f
    32613357ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     
    34673563
    34683564# Provide some information about the compiler.
    3469 echo "$as_me:3469:" \
     3565echo "$as_me:3565:" \
    34703566     "checking for Fortran 77 compiler version" >&5
    34713567ac_compiler=`set X $ac_compile; echo $2`
     
    38343930    FFLAGS="$OPT_FFLAGS"
    38353931  fi
     3932
    38363933else
    38373934  FFLAGS="$FFLAGS $ADD_FFLAGS"
     
    39764073esac
    39774074
     4075# check whether to add flag for static linking against standard libraries to LDFLAGS
     4076if test x$use_static_standardlibs != xno ; then
     4077  case $build in
     4078    *-mingw*)
     4079      static_standardlib_flag=-static
     4080      ;;
     4081    *)
     4082      static_standardlib_flag=-static-libgfortran
     4083      ;;
     4084  esac
     4085  case " $LDFLAGS " in
     4086    *" $static_standardlib_flag "* ) ;;
     4087    *)
     4088    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     4089echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     4090    coin_save_LDFLAGS="$LDFLAGS"
     4091    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     4092    cat >conftest.$ac_ext <<_ACEOF
     4093      program main
     4094      integer i
     4095      end
     4096_ACEOF
     4097rm -f conftest.$ac_objext conftest$ac_exeext
     4098if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4099  (eval $ac_link) 2>conftest.er1
     4100  ac_status=$?
     4101  grep -v '^ *+' conftest.er1 >conftest.err
     4102  rm -f conftest.er1
     4103  cat conftest.err >&5
     4104  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4105  (exit $ac_status); } &&
     4106         { ac_try='test -z "$ac_f77_werror_flag"
     4107                         || test ! -s conftest.err'
     4108  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4109  (eval $ac_try) 2>&5
     4110  ac_status=$?
     4111  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4112  (exit $ac_status); }; } &&
     4113         { ac_try='test -s conftest$ac_exeext'
     4114  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4115  (eval $ac_try) 2>&5
     4116  ac_status=$?
     4117  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4118  (exit $ac_status); }; }; then
     4119  echo "$as_me:$LINENO: result: yes" >&5
     4120echo "${ECHO_T}yes" >&6
     4121else
     4122  echo "$as_me: failed program was:" >&5
     4123sed 's/^/| /' conftest.$ac_ext >&5
     4124
     4125echo "$as_me:$LINENO: result: no" >&5
     4126echo "${ECHO_T}no" >&6
     4127       LDFLAGS="$coin_save_LDFLAGS"
     4128       if test $use_static_standardlibs = yes ; then
     4129         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     4130echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     4131   { (exit 1); exit 1; }; }
     4132       fi
     4133
     4134fi
     4135rm -f conftest.err conftest.$ac_objext \
     4136      conftest$ac_exeext conftest.$ac_ext
     4137    ;;
     4138  esac
     4139fi
     4140
    39784141ac_ext=c
    39794142ac_cpp='$CPP $CPPFLAGS'
     
    40384201ac_save_FFLAGS=$FFLAGS
    40394202FFLAGS="$FFLAGS $ac_verb"
    4040 (eval echo $as_me:4040: \"$ac_link\") >&5
     4203(eval echo $as_me:4203: \"$ac_link\") >&5
    40414204ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    40424205echo "$ac_f77_v_output" >&5
     
    41164279ac_save_FFLAGS=$FFLAGS
    41174280FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4118 (eval echo $as_me:4118: \"$ac_link\") >&5
     4281(eval echo $as_me:4281: \"$ac_link\") >&5
    41194282ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    41204283echo "$ac_f77_v_output" >&5
     
    72807443*-*-irix6*)
    72817444  # Find out which ABI we are using.
    7282   echo '#line 7282 "configure"' > conftest.$ac_ext
     7445  echo '#line 7445 "configure"' > conftest.$ac_ext
    72837446  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    72847447  (eval $ac_compile) 2>&5
     
    92769439   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    92779440   -e 's:$: $lt_compiler_flag:'`
    9278    (eval echo "\"\$as_me:9278: $lt_compile\"" >&5)
     9441   (eval echo "\"\$as_me:9441: $lt_compile\"" >&5)
    92799442   (eval "$lt_compile" 2>conftest.err)
    92809443   ac_status=$?
    92819444   cat conftest.err >&5
    9282    echo "$as_me:9282: \$? = $ac_status" >&5
     9445   echo "$as_me:9445: \$? = $ac_status" >&5
    92839446   if (exit $ac_status) && test -s "$ac_outfile"; then
    92849447     # The compiler can only warn and ignore the option if not recognized
     
    95449707   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    95459708   -e 's:$: $lt_compiler_flag:'`
    9546    (eval echo "\"\$as_me:9546: $lt_compile\"" >&5)
     9709   (eval echo "\"\$as_me:9709: $lt_compile\"" >&5)
    95479710   (eval "$lt_compile" 2>conftest.err)
    95489711   ac_status=$?
    95499712   cat conftest.err >&5
    9550    echo "$as_me:9550: \$? = $ac_status" >&5
     9713   echo "$as_me:9713: \$? = $ac_status" >&5
    95519714   if (exit $ac_status) && test -s "$ac_outfile"; then
    95529715     # The compiler can only warn and ignore the option if not recognized
     
    96489811   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    96499812   -e 's:$: $lt_compiler_flag:'`
    9650    (eval echo "\"\$as_me:9650: $lt_compile\"" >&5)
     9813   (eval echo "\"\$as_me:9813: $lt_compile\"" >&5)
    96519814   (eval "$lt_compile" 2>out/conftest.err)
    96529815   ac_status=$?
    96539816   cat out/conftest.err >&5
    9654    echo "$as_me:9654: \$? = $ac_status" >&5
     9817   echo "$as_me:9817: \$? = $ac_status" >&5
    96559818   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    96569819   then
     
    1206512228  lt_status=$lt_dlunknown
    1206612229  cat > conftest.$ac_ext <<EOF
    12067 #line 12067 "configure"
     12230#line 12230 "configure"
    1206812231#include "confdefs.h"
    1206912232
     
    1216512328  lt_status=$lt_dlunknown
    1216612329  cat > conftest.$ac_ext <<EOF
    12167 #line 12167 "configure"
     12330#line 12330 "configure"
    1216812331#include "confdefs.h"
    1216912332
     
    1452514688   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1452614689   -e 's:$: $lt_compiler_flag:'`
    14527    (eval echo "\"\$as_me:14527: $lt_compile\"" >&5)
     14690   (eval echo "\"\$as_me:14690: $lt_compile\"" >&5)
    1452814691   (eval "$lt_compile" 2>conftest.err)
    1452914692   ac_status=$?
    1453014693   cat conftest.err >&5
    14531    echo "$as_me:14531: \$? = $ac_status" >&5
     14694   echo "$as_me:14694: \$? = $ac_status" >&5
    1453214695   if (exit $ac_status) && test -s "$ac_outfile"; then
    1453314696     # The compiler can only warn and ignore the option if not recognized
     
    1462914792   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1463014793   -e 's:$: $lt_compiler_flag:'`
    14631    (eval echo "\"\$as_me:14631: $lt_compile\"" >&5)
     14794   (eval echo "\"\$as_me:14794: $lt_compile\"" >&5)
    1463214795   (eval "$lt_compile" 2>out/conftest.err)
    1463314796   ac_status=$?
    1463414797   cat out/conftest.err >&5
    14635    echo "$as_me:14635: \$? = $ac_status" >&5
     14798   echo "$as_me:14798: \$? = $ac_status" >&5
    1463614799   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1463714800   then
     
    1619916362   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1620016363   -e 's:$: $lt_compiler_flag:'`
    16201    (eval echo "\"\$as_me:16201: $lt_compile\"" >&5)
     16364   (eval echo "\"\$as_me:16364: $lt_compile\"" >&5)
    1620216365   (eval "$lt_compile" 2>conftest.err)
    1620316366   ac_status=$?
    1620416367   cat conftest.err >&5
    16205    echo "$as_me:16205: \$? = $ac_status" >&5
     16368   echo "$as_me:16368: \$? = $ac_status" >&5
    1620616369   if (exit $ac_status) && test -s "$ac_outfile"; then
    1620716370     # The compiler can only warn and ignore the option if not recognized
     
    1630316466   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1630416467   -e 's:$: $lt_compiler_flag:'`
    16305    (eval echo "\"\$as_me:16305: $lt_compile\"" >&5)
     16468   (eval echo "\"\$as_me:16468: $lt_compile\"" >&5)
    1630616469   (eval "$lt_compile" 2>out/conftest.err)
    1630716470   ac_status=$?
    1630816471   cat out/conftest.err >&5
    16309    echo "$as_me:16309: \$? = $ac_status" >&5
     16472   echo "$as_me:16472: \$? = $ac_status" >&5
    1631016473   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1631116474   then
     
    1851018673   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1851118674   -e 's:$: $lt_compiler_flag:'`
    18512    (eval echo "\"\$as_me:18512: $lt_compile\"" >&5)
     18675   (eval echo "\"\$as_me:18675: $lt_compile\"" >&5)
    1851318676   (eval "$lt_compile" 2>conftest.err)
    1851418677   ac_status=$?
    1851518678   cat conftest.err >&5
    18516    echo "$as_me:18516: \$? = $ac_status" >&5
     18679   echo "$as_me:18679: \$? = $ac_status" >&5
    1851718680   if (exit $ac_status) && test -s "$ac_outfile"; then
    1851818681     # The compiler can only warn and ignore the option if not recognized
     
    1877818941   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1877918942   -e 's:$: $lt_compiler_flag:'`
    18780    (eval echo "\"\$as_me:18780: $lt_compile\"" >&5)
     18943   (eval echo "\"\$as_me:18943: $lt_compile\"" >&5)
    1878118944   (eval "$lt_compile" 2>conftest.err)
    1878218945   ac_status=$?
    1878318946   cat conftest.err >&5
    18784    echo "$as_me:18784: \$? = $ac_status" >&5
     18947   echo "$as_me:18947: \$? = $ac_status" >&5
    1878518948   if (exit $ac_status) && test -s "$ac_outfile"; then
    1878618949     # The compiler can only warn and ignore the option if not recognized
     
    1888219045   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1888319046   -e 's:$: $lt_compiler_flag:'`
    18884    (eval echo "\"\$as_me:18884: $lt_compile\"" >&5)
     19047   (eval echo "\"\$as_me:19047: $lt_compile\"" >&5)
    1888519048   (eval "$lt_compile" 2>out/conftest.err)
    1888619049   ac_status=$?
    1888719050   cat out/conftest.err >&5
    18888    echo "$as_me:18888: \$? = $ac_status" >&5
     19051   echo "$as_me:19051: \$? = $ac_status" >&5
    1888919052   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1889019053   then
     
    2194822111# unfortunately, ${libdir} expands to ${exec_prefix}/lib and ${exec_prefix} to ${prefix}...
    2194922112if test "x${prefix}" = xNONE ; then
    21950   COIN_PKG_CONFIG_PATH="${ac_default_prefix}/lib/pkgconfig:${ac_default_prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
    21951 else
    21952   COIN_PKG_CONFIG_PATH="${prefix}/lib/pkgconfig:${prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     22113  COIN_PKG_CONFIG_PATH="${ac_default_prefix}/lib64/pkgconfig:${ac_default_prefix}/lib/pkgconfig:${ac_default_prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     22114else
     22115  COIN_PKG_CONFIG_PATH="${prefix}/lib64/pkgconfig:${prefix}/lib/pkgconfig:${prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
    2195322116fi
    2195422117
Note: See TracChangeset for help on using the changeset viewer.